<?php 
foreach($listaGrupo as $grupo)
{
	if($_POST["analise"] == "")
	{
		$visCheck = "";
		$altCheck = "";
		$listaBi_permissao_analiseView = $bi_permissao_analiseDAO->buscarFiltro(" where grupo = ".$grupo->getCodigo()." and visualizar = 1");
		$listaBi_permissao_analiseAlte = $bi_permissao_analiseDAO->buscarFiltro(" where grupo = ".$grupo->getCodigo()." and alterar = 1");
		if(count($listaAnalise) == count($listaBi_permissao_analiseView))
		{
			$visCheck = "checked";
		}
		if(count($listaAnalise) == count($listaBi_permissao_analiseAlte))
		{
			$altCheck = "checked";
		}
		echo '
			<tr class="formTab" >
				<td><b>'.$grupo->getNome().'</b></td>
				<td><b>Todas</b></td>
				<td><b></b></td>
				<td><input type="checkbox" '.$visCheck.'  onchange="inserirRemoverPermissaoAnaliseGrupo('.$grupo->getCodigo().', this, \'visualizar\');"> </td>
				<td><input type="checkbox" '.$altCheck.'  onchange="inserirRemoverPermissaoAnaliseGrupo('.$grupo->getCodigo().', this, \'alterar\');"> </td>
				<td class="colComplet"></td>
		</tr>';
	}
	foreach($listaAnalise as $analise)
	{
		$visCheck = "";
		$altCheck = "";
		$listaBi_permissao_analise = $bi_permissao_analiseDAO->buscarFiltro(" where analise = ".$analise->getCodigo()." and grupo = ".$grupo->getCodigo());
		foreach($listaBi_permissao_analise as $permissao_analise)
		{
			if($permissao_analise->getVisualizar())
			{
				$visCheck = "checked";
			}
			if($permissao_analise->getAlterar())
			{
				$altCheck = "checked";
			}
		}
		echo '
		<tr class="formTab" >
			<td>'.$grupo->getNome().'</td>
			<td>'.$analise->getCodigo()." - ".$analise->getNome().'</td>
			<td>'.$analise->getArea()->getNome().'</td>
			<td><input type="checkbox" '.$visCheck.' class="grupovisualizar'.$grupo->getCodigo().'" onchange="inserirRemoverPermissaoAnalise('.$analise->getCodigo().', '.$grupo->getCodigo().', this, \'visualizar\');"> </td>
			<td><input type="checkbox" '.$altCheck.' class="grupoalterar'.$grupo->getCodigo().'" onchange="inserirRemoverPermissaoAnalise('.$analise->getCodigo().', '.$grupo->getCodigo().', this, \'alterar\');"> </td>
		</tr>';
	}
}
?>
<script>
	//monta_conteudo_tabulator("#iniciar_tabulatorbi_permissao_analise", "#listtablebi_permissao_analise")
</script>
		
